package sentio

type Strategy interface {
	Name() string

	Model() string
	MarketId() string
	PositionSymbols() map[Side]string

	Handle(market Market, proba float64) ([]StrategyOrder, error)
}

type StrategyOrder struct {
	Symbol string      `yaml:"symbol"`
	Action OrderAction `yaml:"action"`
	Ratio  float64     `yaml:"ratio"`
}
